package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.TmstruckReceiveResult;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;

@Mapper
public interface TmstruckReceiveResultMapper extends IBaseMapper<TmstruckReceiveResult, BigDecimal> {

    //查询最大ID值
    @Select("select SQE_RECEIVE_RESULT.nextval from dual")
    BigDecimal selectMaxId();

    //通过总实绩Id查询主键Id
    BigDecimal getReceiveResult(BigDecimal totalResultId);
}